Bug 19638 - False positives for 'Update SQL' button
Summary: False positives for 'Update SQL' button
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 17898
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-16 13:18 UTC by Nick Clemens
Modified: 2017-12-07 14:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19638: Remove false positive obsolete reports (auth_header.marcxml) (1.52 KB, patch)
2017-12-04 18:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19638: Remove false positive obsolete reports (auth_header.marcxml) (1.20 KB, patch)
2017-12-05 05:36 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 19638: Remove false positive obsolete reports (auth_header.marcxml) (1.84 KB, patch)
2017-12-05 08:07 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-11-16 13:18:50 UTC
bug 17898 tries to help users identify reports affected by the move of marcxml to the biblio_metadata table, however, the auth_header table still uses the column name 'marcxml' and so reports as needing updated though it doesn't
Comment 1 Jonathan Druart 2017-12-04 18:42:39 UTC
Created attachment 69488 [details] [review]
Bug 19638: Remove false positive obsolete reports (auth_header.marcxml)

Bug 17898 tries to help users identify reports affected by the move of
marcxml to the biblio_metadata table, however, the auth_header table
still uses the column name 'marcxml' and so reports as needing updated
though it doesn't.

C4::Reports::Guided::convert_sql only converts if the sql query contain
biblioitems and marcxml.
We should use the same regexp in the controler script.

Test plan:
Use a sql report that use auth_header.marcxml (see
https://wiki.koha-community.org/wiki/SQL_Reports_Library)
After the this the report should not be longer marked as obsolete on the
report list view
Comment 2 Dilan Johnpullé 2017-12-05 05:36:37 UTC
Created attachment 69494 [details] [review]
Bug 19638: Remove false positive obsolete reports (auth_header.marcxml)

Replicated bug with the following SQL:
	select marcxml from auth_header;

Patch applied correctly and functioned as expected.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 3 Josef Moravec 2017-12-05 08:07:47 UTC
Created attachment 69495 [details] [review]
Bug 19638: Remove false positive obsolete reports (auth_header.marcxml)

Bug 17898 tries to help users identify reports affected by the move of marcxml to the biblio_metadata table, however, the auth_header table still uses the column name 'marcxml' and so reports as needing updated though it doesn't.

C4::Reports::Guided::convert_sql only converts if the sql query contain biblioitems and marcxml.
We should use the same regexp in the controler script.

Test plan:
Use a sql report that use auth_header.marcxml (see https://wiki.koha-community.org/wiki/SQL_Reports_Library)
After the this the report should not be longer marked as obsolete on the report list view

Replicated bug with the following SQL:
	select marcxml from auth_header;

Patch applied correctly and functioned as expected.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-07 14:23:18 UTC
Pushed to master for 18.05, thanks to everybody involved!